Subject: Re: bug#4883: 23.1; url-http: wrong server name used for pwd lookup during proxy authentication

From: Kai Tetzlaff <[email-masked]>
Date: Fri, 27 Nov 2009 22:37:45 +0100

On 25.11.2009 15:51, Ted Zlatanov wrote:
> On Tue, 24 Nov 2009 07:36:43 +0100 Kai Tetzlaff <[email-masked]> wrote: 
> 
> KT> I'm not sure why, but also my last post below never made it to the list.
> KT> I also sent it to you directly but did not get any reply so i assume
> KT> that it also got lost. I don't get why, but i'm trying again.
> 
> No worries, this wasn't urgent :)
> 
> KT> In addition to what i wrote below, i've now actually tested the url code
> KT> with a double auth. scenario (proxy auth + auth at url target). It
> KT> actually works fine without any further changes!
> 
> Wonderful.
> 
> KT> When you wrote your message suggesting to rework the patch, what problem
> KT> did you had in mind? Is there some other scenario which needs testing?
> 
> I thought the double auth might be a problem because the code only takes
> into account the current auth.  But it works, as you say, and I don't
> see any side effects.  So I'm in favor of comitting your patch.  I don't
> know if it's "trivial," however (meaning that it doesn't require
> copyright assignment papers).  Do you want to propose it on emacs-devel
> or should I do it?  Either way, you'll get an answer about the copyright
> papers :)

Thanks for your support and the offer to help with emacs-devel. Actually
Chong Yidong already added the patch to emacs CVS (there's a short note
about it at the very end of the 'Emacs bug Tracking System' post above).
So it seems to have been trivial enough :-).

> Thanks
> Ted